/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/*29:*/
#line 583 "dtsrctyp.web"


#ifndef DTSRCTYP_KNOWN 
#define DTSRCTYP_KNOWN 1 

/*3:*/
#line 117 "dtsrctyp.web"


#ifdef WIN_LDF 
#pragma once 
#endif 


/*:3*/
#line 588 "dtsrctyp.web"

using namespace std;
/*4:*/
#line 132 "dtsrctyp.web"


class Scanner_Type;
typedef Scanner_Type*Scanner_Node;

class Datasource_Type;
typedef Datasource_Type*Datasource_Node;

class Id_Type;
typedef Id_Type*Id_Node;


/*:4*/
#line 590 "dtsrctyp.web"

/*5:*/
#line 155 "dtsrctyp.web"


class
Datasource_Type;

typedef Datasource_Type*Datasource_Node;

class
Datasource_Type
{

/*6:*/
#line 197 "dtsrctyp.web"


friend
int
yyparse(void*);


/*:6*/
#line 166 "dtsrctyp.web"


private:

unsigned short type;

static map<unsigned short,string> datasource_type_map;

string name;

void*value;

Scanner_Node scanner_node;

public:

/*7:*/
#line 217 "dtsrctyp.web"


static const unsigned short DATASOURCE_TYPE_NULL_TYPE;
static const unsigned short DBT_TYPE;
static const unsigned short GBV_GVK_TYPE;
static const unsigned short TIMMS_TYPE;
static const unsigned short DATASOURCE_FILE_TYPE;

/*:7*//*10:*/
#line 261 "dtsrctyp.web"



/*:10*/
#line 182 "dtsrctyp.web"


/*13:*/
#line 285 "dtsrctyp.web"


Datasource_Type(void);

/*:13*//*15:*/
#line 310 "dtsrctyp.web"

int
set(unsigned short datasource_type,
Scanner_Node sscanner_node= 0);

/*:15*//*17:*/
#line 337 "dtsrctyp.web"

~Datasource_Type(void);


/*:17*//*21:*/
#line 399 "dtsrctyp.web"

Datasource_Node
operator= (const Datasource_Type&d);


/*:21*//*23:*/
#line 491 "dtsrctyp.web"

static
int
initialize_type_maps(void);

/*:23*//*25:*/
#line 525 "dtsrctyp.web"

int
show(string s= "`Datasource_Type':\n",
Scanner_Node sscanner_node= 0);


/*:25*/
#line 184 "dtsrctyp.web"


};


/*:5*/
#line 591 "dtsrctyp.web"


#endif  















/*:29*/
