/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/*13:*/
#line 281 "nonwin.web"

/*1:*/
#line 88 "nonwin.web"

static char id_string[]
= "$Id: nonwin.web,v 1.6 2007/02/13 21:29:36 lfinsto1 Exp $";

/*:1*/
#line 282 "nonwin.web"

/*2:*/
#line 93 "nonwin.web"


#include <stdio.h> 
#include <stdlib.h> 
#include <unistd.h> 

#include <sys/types.h> 

#include <cmath> 

#include <bitset> 

#include <ios> 
#include <iomanip> 
#include <iostream> 
#include <iosfwd> 
#include <fstream> 
#include <sstream> 

#if 0 
#include <strstream> 
#endif

#include <new> 

#include <ctype.h> 
#include <string.h> 

#include <map> 
#include <stack> 
#include <vector> 

#include <pthread.h> 

#include <sys/types.h> 
#include <sys/wait.h> 
#include <unistd.h> 

#include <time.h> 



/*:2*/
#line 283 "nonwin.web"

using namespace std;
/*4:*/
#line 152 "nonwin.web"


struct
Mutex_Type
{

pthread_mutex_t inner_mutex;

Mutex_Type(void){pthread_mutex_init(&inner_mutex,0);};

/*5:*/
#line 175 "nonwin.web"

int
lock(void);

/*:5*//*7:*/
#line 197 "nonwin.web"

int
unlock(void);

/*:7*/
#line 162 "nonwin.web"


};


/*:4*/
#line 285 "nonwin.web"

/*6:*/
#line 180 "nonwin.web"

int
Mutex_Type::lock(void)
{
return pthread_mutex_lock(&inner_mutex);

}


/*:6*//*8:*/
#line 202 "nonwin.web"

int
Mutex_Type::unlock(void)
{
return pthread_mutex_unlock(&inner_mutex);

}



/*:8*/
#line 286 "nonwin.web"














/*:13*/
