/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/*12:*/
#line 271 "nonwin.web"

/*2:*/
#line 93 "nonwin.web"


#include <stdio.h> 
#include <stdlib.h> 
#include <unistd.h> 

#include <sys/types.h> 

#include <cmath> 

#include <bitset> 

#include <ios> 
#include <iomanip> 
#include <iostream> 
#include <iosfwd> 
#include <fstream> 
#include <sstream> 

#if 0 
#include <strstream> 
#endif

#include <new> 

#include <ctype.h> 
#include <string.h> 

#include <map> 
#include <stack> 
#include <vector> 

#include <pthread.h> 

#include <sys/types.h> 
#include <sys/wait.h> 
#include <unistd.h> 

#include <time.h> 



/*:2*/
#line 272 "nonwin.web"

using namespace std;
/*4:*/
#line 152 "nonwin.web"


struct
Mutex_Type
{

pthread_mutex_t inner_mutex;

Mutex_Type(void){pthread_mutex_init(&inner_mutex,0);};

/*5:*/
#line 175 "nonwin.web"

int
lock(void);

/*:5*//*7:*/
#line 197 "nonwin.web"

int
unlock(void);

/*:7*/
#line 162 "nonwin.web"


};


/*:4*/
#line 274 "nonwin.web"

/*9:*/
#line 220 "nonwin.web"


class Query_Type;
typedef Query_Type*Query_Node;

class Scanner_Type;
typedef Scanner_Type*Scanner_Node;



/*:9*/
#line 275 "nonwin.web"

/*10:*/
#line 249 "nonwin.web"


extern Mutex_Type cerr_mutex;
extern Mutex_Type cout_mutex;
extern Mutex_Type time_mutex;

extern ofstream tex_file_strm;
extern Mutex_Type tex_mutex;
extern unsigned short tex_file_ctr;
extern string tex_filename_str;

extern string copyright_tex_str;



extern int yydebug;


/*:10*/
#line 276 "nonwin.web"


/*:12*/
