/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/* A Bison parser, made by GNU Bison 2.1.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     AT_SYMBOL = 258,
     COMMA = 259,
     COLON = 260,
     HYPHEN = 261,
     UNDERLINE = 262,
     PERCENT = 263,
     PERIOD = 264,
     SEMI_COLON = 265,
     OPEN_PARENTHESIS = 266,
     CLOSE_PARENTHESIS = 267,
     OPEN_BRACKET = 268,
     CLOSE_BRACKET = 269,
     ASSIGN = 270,
     PLUS_ASSIGN = 271,
     MINUS_ASSIGN = 272,
     TIMES_ASSIGN = 273,
     DIVIDE_ASSIGN = 274,
     AND_ASSIGN = 275,
     OR_ASSIGN = 276,
     XOR_ASSIGN = 277,
     NOT_ASSIGN = 278,
     CONTAINS = 279,
     FREETEXT = 280,
     LIKE = 281,
     PLUS = 282,
     MINUS = 283,
     TIMES = 284,
     DIVIDE = 285,
     STRING = 286,
     INTEGER = 287,
     FLOAT = 288,
     START = 289,
     END = 290,
     TERMINATE = 291,
     DATASOURCE_DECLARATOR = 292,
     DATETIME_DECLARATOR = 293,
     STRING_DECLARATOR = 294,
     QUERY_DECLARATOR = 295,
     LOCAL = 296,
     REMOTE = 297,
     DATABASE = 298,
     SERVER = 299,
     DBT = 300,
     GBV_GVK = 301,
     TIMMS = 302,
     DATASOURCE_FILE = 303,
     YEAR_RANGE_BEGIN = 304,
     YEAR_RANGE_END = 305,
     YEAR = 306,
     MONTH = 307,
     DAY = 308,
     HOUR = 309,
     MINUTE = 310,
     SECOND = 311,
     IF = 312,
     ELSE = 313,
     ELIF = 314,
     FI = 315,
     FOR = 316,
     DO = 317,
     WHILE = 318,
     AND = 319,
     OR = 320,
     XOR = 321,
     NOT = 322,
     AND_NOT = 323,
     OR_NOT = 324,
     XOR_NOT = 325,
     ACCESS_NUMBER = 326,
     AUTHOR = 327,
     BIBLIOGRAPHIC_TYPE = 328,
     CALL_NUMBER = 329,
     CLASSIFICATION = 330,
     COMPANY = 331,
     CONTENT_SUMMARY = 332,
     CONTRIBUTOR = 333,
     CREATOR = 334,
     DATABASE_PROVIDER = 335,
     DESCRIPTION = 336,
     EXEMPLAR_PRODUCTION_NUMBER = 337,
     IDENTIFIER = 338,
     INSTITUTION = 339,
     LANGUAGE = 340,
     MAIN_CANONICAL_TITLE = 341,
     PERMUTATION_PATTERN = 342,
     PERSON = 343,
     PHYSICAL_DESCRIPTION = 344,
     PUBLISHER = 345,
     RECORD = 346,
     REMOTE_ACCESS = 347,
     RIGHTS = 348,
     SOURCE = 349,
     SUBJECT = 350,
     SUPERORDINATE_ENTITIES = 351,
     TITLE = 352,
     TYPE = 353,
     ID = 354,
     GIVEN_NAME = 355,
     PREFIX = 356,
     SURNAME = 357,
     AUTHOR_GIVEN_NAME = 358,
     AUTHOR_PREFIX = 359,
     AUTHOR_SURNAME = 360,
     CONTRIBUTOR_GIVEN_NAME = 361,
     CONTRIBUTOR_PREFIX = 362,
     CONTRIBUTOR_SURNAME = 363,
     ELN_ORIGINAL_ENTRY = 364,
     ELN_MOST_RECENT_CHANGE = 365,
     ELN_STATUS_CHANGE = 366,
     IDENTIFICATION_NUMBER = 367,
     DATE_ORIGINAL_ENTRY = 368,
     DATE_MOST_RECENT_CHANGE = 369,
     DATE_STATUS_CHANGE = 370,
     SOURCE_ID = 371,
     YEAR_APPEARANCE_BEGIN = 372,
     YEAR_APPEARANCE_END = 373,
     YEAR_APPEARANCE_RAK_WB = 374,
     YEAR_APPEARANCE_ORIGINAL = 375,
     VARIABLE = 376,
     VARIABLE_TEXT_SEGMENT = 377,
     NULL_TYPE = 378,
     DATASOURCE_TYPE = 379,
     DATETIME_TYPE = 380,
     QUERY_TYPE = 381,
     STRING_TYPE = 382,
     CLEAR = 383,
     ERRMESSAGE = 384,
     MESSAGE = 385,
     PAUSE = 386,
     SHOW = 387,
     TEX = 388,
     SQL = 389,
     OAI = 390,
     PICA = 391,
     OUTPUT = 392
   };
#endif
/* Tokens.  */
#define AT_SYMBOL 258
#define COMMA 259
#define COLON 260
#define HYPHEN 261
#define UNDERLINE 262
#define PERCENT 263
#define PERIOD 264
#define SEMI_COLON 265
#define OPEN_PARENTHESIS 266
#define CLOSE_PARENTHESIS 267
#define OPEN_BRACKET 268
#define CLOSE_BRACKET 269
#define ASSIGN 270
#define PLUS_ASSIGN 271
#define MINUS_ASSIGN 272
#define TIMES_ASSIGN 273
#define DIVIDE_ASSIGN 274
#define AND_ASSIGN 275
#define OR_ASSIGN 276
#define XOR_ASSIGN 277
#define NOT_ASSIGN 278
#define CONTAINS 279
#define FREETEXT 280
#define LIKE 281
#define PLUS 282
#define MINUS 283
#define TIMES 284
#define DIVIDE 285
#define STRING 286
#define INTEGER 287
#define FLOAT 288
#define START 289
#define END 290
#define TERMINATE 291
#define DATASOURCE_DECLARATOR 292
#define DATETIME_DECLARATOR 293
#define STRING_DECLARATOR 294
#define QUERY_DECLARATOR 295
#define LOCAL 296
#define REMOTE 297
#define DATABASE 298
#define SERVER 299
#define DBT 300
#define GBV_GVK 301
#define TIMMS 302
#define DATASOURCE_FILE 303
#define YEAR_RANGE_BEGIN 304
#define YEAR_RANGE_END 305
#define YEAR 306
#define MONTH 307
#define DAY 308
#define HOUR 309
#define MINUTE 310
#define SECOND 311
#define IF 312
#define ELSE 313
#define ELIF 314
#define FI 315
#define FOR 316
#define DO 317
#define WHILE 318
#define AND 319
#define OR 320
#define XOR 321
#define NOT 322
#define AND_NOT 323
#define OR_NOT 324
#define XOR_NOT 325
#define ACCESS_NUMBER 326
#define AUTHOR 327
#define BIBLIOGRAPHIC_TYPE 328
#define CALL_NUMBER 329
#define CLASSIFICATION 330
#define COMPANY 331
#define CONTENT_SUMMARY 332
#define CONTRIBUTOR 333
#define CREATOR 334
#define DATABASE_PROVIDER 335
#define DESCRIPTION 336
#define EXEMPLAR_PRODUCTION_NUMBER 337
#define IDENTIFIER 338
#define INSTITUTION 339
#define LANGUAGE 340
#define MAIN_CANONICAL_TITLE 341
#define PERMUTATION_PATTERN 342
#define PERSON 343
#define PHYSICAL_DESCRIPTION 344
#define PUBLISHER 345
#define RECORD 346
#define REMOTE_ACCESS 347
#define RIGHTS 348
#define SOURCE 349
#define SUBJECT 350
#define SUPERORDINATE_ENTITIES 351
#define TITLE 352
#define TYPE 353
#define ID 354
#define GIVEN_NAME 355
#define PREFIX 356
#define SURNAME 357
#define AUTHOR_GIVEN_NAME 358
#define AUTHOR_PREFIX 359
#define AUTHOR_SURNAME 360
#define CONTRIBUTOR_GIVEN_NAME 361
#define CONTRIBUTOR_PREFIX 362
#define CONTRIBUTOR_SURNAME 363
#define ELN_ORIGINAL_ENTRY 364
#define ELN_MOST_RECENT_CHANGE 365
#define ELN_STATUS_CHANGE 366
#define IDENTIFICATION_NUMBER 367
#define DATE_ORIGINAL_ENTRY 368
#define DATE_MOST_RECENT_CHANGE 369
#define DATE_STATUS_CHANGE 370
#define SOURCE_ID 371
#define YEAR_APPEARANCE_BEGIN 372
#define YEAR_APPEARANCE_END 373
#define YEAR_APPEARANCE_RAK_WB 374
#define YEAR_APPEARANCE_ORIGINAL 375
#define VARIABLE 376
#define VARIABLE_TEXT_SEGMENT 377
#define NULL_TYPE 378
#define DATASOURCE_TYPE 379
#define DATETIME_TYPE 380
#define QUERY_TYPE 381
#define STRING_TYPE 382
#define CLEAR 383
#define ERRMESSAGE 384
#define MESSAGE 385
#define PAUSE 386
#define SHOW 387
#define TEX 388
#define SQL 389
#define OAI 390
#define PICA 391
#define OUTPUT 392




#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 134 "parser.yxx"
typedef union YYSTYPE {
int int_value;
float float_value;
char string_value[2048];
void*pointer_value;
} YYSTYPE;
/* Line 1447 of yacc.c.  */
#line 319 "parser.hhh"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif





