@q assign.w  @>
@q Created by Laurence D. Finston (LDF) 2006.10.31.  @>

@q $Id: assign.w,v 1.7 2007/02/13 20:34:10 lfinsto1 Exp $ @>

@q * (1) Copyright and License. @>

@q This file is part of the LDF Metadata Exchange Utilities,            @>
@q a package for metadata exchange.                                     @>
@q It contains code from the the IWF Metadata Harvester, a package for  @>
@q metadata harvesting.                                                 @> 

@q The following copyright notice applies to the contents of this file up to  @>      
@q and including January 31, 2007:                                            @> 

@q Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH  @>

@q The following copyright notice applies to all changes and additions to this file  @>      
@q starting on February 1, 2007:                                                     @> 

@q Copyright (C) 2007 Laurence D. Finston  @>

@q The state of this file as of January 31, 2007 is stored in the  	  @>    
@q revision of this file with the symbolic tag "LAST_IWF"          	  @>
@q in the CVS repository for the LDF Metadata Exchange Utilities:  	  @>
@q http://cvs.savannah.nongnu.org/viewcvs/iwf-mdh/?root=iwf-mdh    	  @>
@q If necessary, changes and additions after this date can be determined  @>
@q by comparing this revision with later ones using the GNU diffutils:    @>
@q http://www.gnu.org/software/diffutils/diffutils.html                   @>

@q The author is Laurence D. Finston.  @>

@q The LDF Metadata Exchange Utilities are free software;                  @>
@q you can redistribute them and/or modify                                 @>
@q them under the terms of the GNU General Public License as published by  @>
@q the Free Software Foundation; either version 2 of the License, or       @>
@q (at your option) any later version.                                     @>

@q The LDF Metadata Exchange Utilities are distributed in the hope               @>          
@q that they will be useful, but WITHOUT ANY WARRANTY; without even              @>
@q the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  @>
@q See the GNU General Public License for more details.                          @>

@q You should have received a copy of the GNU General Public License                   @>
@q along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  @>
@q Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          @>

@q The LDF Metadata Exchange Utilities are available for downloading from the @>
@q following FTP server:                                                      @>
@q ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/                                         @>

@q "@@" stands for a single "at"-sign in the following email adresses.  @>

@q Please send bug reports to lfinsto1@@gwdg.de  @>

@q The author can be contacted at: @>

@q Laurence D. Finston @>
@q Kreuzbergring 41    @>
@q D-37075 Goettingen  @>
@q Germany             @>

@q lfinsto1@@gwdg.de               @>
@q s246794@@stud.uni-goettingen.de @>


@q ** (2) Assignment.@>
@*1 Assignment (\filename{assign.w}).
\initials{LDF 2006.10.31.}

\LOG
\initials{2006.10.31.}
Added this section.

Renamed this file.   
Old name:  \filename{passign.w}.  
New name:  \filename{assign.w}. 
\ENDLOG

@<\filename{assign.w}@>=
static char assign_id_string[]
   = "$Id: assign.w,v 1.7 2007/02/13 20:34:10 lfinsto1 Exp $"; 

@
@<Type declarations for non-terminal symbols@>=
@=%type <int_value> assignment@>



@q *** (3) negation_optional@>
@*2 \negation optional>.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this section.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> negation_optional@>


@q **** (4) negation_optional: /* Empty  */@>
@*3 \negation optional> $\longrightarrow$ \.{EMPTY}.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=negation_optional: /* Empty  */@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `negation_optional: /* Empty  */'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = 0;

};

@q **** (4) negation_optional: NOT@>
@*3 \negation optional> $\longrightarrow$ \.{NOT}.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=negation_optional: NOT@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `negation_optional: NOT'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = 1;

};

@q *** (3) match_term_optional@>
@*2 \match term optional>.
\initials{LDF 2006.12.11.}

\LOG
\initials{LDF 2006.12.11.}
Added this section.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> match_term_optional@>


@q **** (4) match_term_optional: /* Empty  */@>
@*3 \match term optional> $\longrightarrow$ \.{EMPTY}.
\initials{LDF 2006.12.11.}

\LOG
\initials{LDF 2006.12.11.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=match_term_optional: /* Empty  */@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `match_term_optional: /* Empty  */'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = Query_Type::QUERY_TYPE_NULL_TYPE;

};

@q **** (4) match_term_optional: CONTAINS@>
@*3 \match term optional> $\longrightarrow$ \.{CONTAINS}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=match_term_optional: CONTAINS@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `match_term_optional: CONTAINS'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = Query_Type::CONTAINS_VALUE;

};




@q **** (4) match_term_optional: FREETEXT@>
@*3 \match term optional> $\longrightarrow$ \.{FREETEXT}.
\initials{LDF 2006.12.11.}

\LOG
\initials{LDF 2006.12.11.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=match_term_optional: FREETEXT@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `match_term_optional: FREETEXT'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = Query_Type::FREETEXT_VALUE;

};

@q **** (4) match_term_optional: LIKE@>
@*3 \match term optional> $\longrightarrow$ \.{LIKE}.
\initials{LDF 2006.12.11.}

\LOG
\initials{LDF 2006.12.11.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=match_term_optional: LIKE@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `match_term_optional: LIKE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = Query_Type::LIKE_VALUE;

};


@q *** (3) assign_or_plus_assign.@>
@*2 \assign or plus-assign>.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> assign_or_plus_assign@>

@q **** (4) assign_or_plus_assign: ASSIGN.@>
@*3 \assign or plus-assign> $\longrightarrow$ \.{ASSIGN}.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assign_or_plus_assign: ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assign_or_plus_assign: ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = ASSIGN;

};

@q **** (4) assign_or_plus_assign: PLUS_ASSIGN.@>
@*3 \assign or plus-assign> $\longrightarrow$ \.{PLUS\_ASSIGN}.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assign_or_plus_assign: PLUS_ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assign_or_plus_assign: PLUS_ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = PLUS_ASSIGN;

};

@q *** (3) assignment_operator.@>
@*2 \assignment operator>.
\initials{LDF 2006.11.14.}

\LOG
\initials{LDF 2006.11.14.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> assignment_operator@>

@q **** (4) assignment_operator: ASSIGN.@>
@*3 \assignment operator> $\longrightarrow$ \.{ASSIGN}.
\initials{LDF 2006.11.14.}

\LOG
\initials{LDF 2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment_operator: ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assignment_operator: ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = ASSIGN;

};


@q **** (4) assignment_operator: PLUS_ASSIGN.@>
@*3 \assignment operator> $\longrightarrow$ \.{PLUS\_ASSIGN}.
\initials{LDF 2006.11.14.}

\LOG
\initials{LDF 2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment_operator: PLUS_ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assignment_operator: PLUS_ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = PLUS_ASSIGN;

};



@q **** (4) assignment_operator: OR_ASSIGN.@>
@*3 \assignment operator> $\longrightarrow$ \.{OR\_ASSIGN}.
\initials{LDF 2006.11.14.}

\LOG
\initials{LDF 2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment_operator: OR_ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assignment_operator: OR_ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = OR_ASSIGN;

};

@q **** (4) assignment_operator: XOR_ASSIGN.@>
@*3 \assignment operator> $\longrightarrow$ \.{XOR\_ASSIGN}.
\initials{LDF 2006.11.14.}

\LOG
\initials{LDF 2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment_operator: XOR_ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assignment_operator: XOR_ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = XOR_ASSIGN;

};

@q **** (4) assignment_operator: NOT_ASSIGN.@>
@*3 \assignment operator> $\longrightarrow$ \.{NOT\_ASSIGN}.
\initials{LDF 2006.11.14.}

\LOG
\initials{LDF 2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment_operator: NOT_ASSIGN@>
{
#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);
    temp_strm << endl 
              << "Rule `assignment_operator: NOT_ASSIGN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");   
#endif 

    @=$$@> = NOT_ASSIGN;

};



@q *** (3) assignment: query_assignment.@>
@*2 \assignment> $\longrightarrow$ \query assignment>.
\initials{LDF 2006.11.02.}

@<Parser rules@>=

@=assignment: query_assignment@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `assignment: query_assignment'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q *** (3) assignment: datasource_assignment.@>
@*2 \assignment> $\longrightarrow$ \datasource assignment>.
\initials{LDF 2006.12.08.}

\LOG
\initials{2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment: datasource_assignment@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `assignment: datasource_assignment'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q *** (3) assignment: string_assignment.@>
@*2 \assignment> $\longrightarrow$ \string assignment>.
\initials{LDF 2006.11.16.}

\LOG
\initials{2006.11.16.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment: string_assignment@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `assignment: string_assignment'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q *** (3) query_assignment.@>
@*2 \query assignment>.

@<Type declarations for non-terminal symbols@>=
@=%type <pointer_value> query_assignment@>

@q **** (4) query_assignment: query_variable ASSIGN query_expression.@>
@*3 \query assignment> $\longrightarrow$ \query variable> \.{ASSIGN} 
\query expression>.
\initials{LDF 2006.11.17.}

\LOG
\initials{2006.11.17.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=query_assignment: query_variable ASSIGN query_expression@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `query_assignment: query_variable ASSIGN query_expression'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value != 0)
          delete static_cast<Query_Node>(id_node->value);

       id_node->value = @=$3@>; 
       @=$$@> = @=$3@>;
    }
    
#undef DEBUG_OUTPUT

};

@q *** (3) assignment: datetime_assignment.@>
@*2 \assignment> $\longrightarrow$ \datetime assignment>.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=assignment: datetime_assignment@>
{

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 


#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `assignment: datetime_assignment'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

};



@q **** (4) Targets.@>
@*3 Targets.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this section.
\ENDLOG

@q ***** (5) query_assignment: query_variable assign_or_plus_assign LOCAL DATABASE.@>
@*4 \query assignment> $\longrightarrow$ (etc\PERIOD).
\query assignment> $\longrightarrow$ 
\query variable>
\assign or plus-assign> \.{LOCAL} \.{DATABASE}.
\initials{LDF 2006.11.02.}

\LOG
\initials{LDF 2006.11.13.}
Changed this rule from 
\query assignment> $\longrightarrow$ \query variable>
\.{ASSIGN} \.{LOCAL} 
to 
\query assignment> $\longrightarrow$ \query variable>
\.{ASSIGN} \.{LOCAL} \.{DATABASE}.

\initials{LDF 2006.11.13.}
Changed \.{ASSIGN} to \assign or plus-assign>.
\ENDLOG 

@<Parser rules@>=

@=query_assignment: query_variable assign_or_plus_assign LOCAL DATABASE@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `query_assignment: query_variable assign_or_plus_assign LOCAL DATABASE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = query_assignment_func_0(parameter, @=$1@>, @=$2@>, 
                                     LOCAL, DATABASE, 0, 0);

#undef DEBUG_OUTPUT

};

@q ***** (5) query_assignment: query_variable assign_or_plus_assign LOCAL SERVER.@>
@*4 \query assignment> $\longrightarrow$ (etc\PERIOD).
\query assignment> $\longrightarrow$ \query variable>
\assign or plus-assign> \.{LOCAL} \.{SERVER}.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this rule.

\initials{LDF 2006.11.13.}
Changed \.{ASSIGN} to \assign or plus-assign>.
\ENDLOG

@<Parser rules@>=

@=query_assignment: query_variable assign_or_plus_assign LOCAL SERVER@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `query_assignment: query_variable assign_or_plus_assign LOCAL SERVER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = query_assignment_func_0(parameter, @=$1@>, @=$2@>, 
                                     LOCAL, SERVER, 0, 0);

#undef DEBUG_OUTPUT

};

@q ***** (5) query_assignment: query_variable assign_or_plus_assign REMOTE DATABASE.@>
@*4 \query assignment> $\longrightarrow$ (etc\PERIOD).
\query assignment> $\longrightarrow$ 
\query variable>
\assign or plus-assign> \.{REMOTE} \.{DATABASE}.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this rule.

\initials{LDF 2006.11.13.}
Changed \.{ASSIGN} to \assign or plus-assign>.
\ENDLOG

@<Parser rules@>=

@=query_assignment: query_variable assign_or_plus_assign REMOTE DATABASE@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `query_assignment: query_variable assign_or_plus_assign REMOTE DATABASE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = query_assignment_func_0(parameter, @=$1@>, ASSIGN, 
                                     REMOTE, DATABASE, 0, 0);

#undef DEBUG_OUTPUT

};

@q ***** (5) query_assignment: query_variable assign_or_plus_assign REMOTE SERVER.@>
@*4 \query assignment> $\longrightarrow$ (etc\PERIOD).
\query assignment> $\longrightarrow$ 
\query variable>
\assign or plus-assign> \.{REMOTE} \.{SERVER}.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this rule.

\initials{LDF 2006.11.13.}
Changed \.{ASSIGN} to \assign or plus-assign>.
\ENDLOG

@<Parser rules@>=

@=query_assignment: query_variable assign_or_plus_assign REMOTE SERVER@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `query_assignment: query_variable assign_or_plus_assign REMOTE SERVER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = query_assignment_func_0(parameter, @=$1@>, @=$2@>, 
                                     REMOTE, SERVER, 0, 0);

#undef DEBUG_OUTPUT

};

@q **** (4) Fields.@>
@*3 Fields.
\initials{LDF 2006.11.13.}

\LOG
\initials{2006.11.13.}
Added this section.
\ENDLOG

@q ***** (5) query_assignment: query_variable COLON field_specifier @>
@q ***** (5) assignment_operator negation_optional match_term_optional query_expression. @>

@*4 \query assignment> $\longrightarrow$ (etc\PERIOD).
\query assignment> $\longrightarrow$ \query variable>
\.{COLON} \field specifier> \assignment operator> \negation optional>
\match term optional> \query expression>.
\initials{LDF 2006.11.15.}

\LOG
\initials{LDF 2006.11.15.}
Added this rule.

\initials{LDF 2006.11.21.}
Now setting |curr_id_node->value->id_node| and |curr_id_node->value->name|.

\initials{LDF 2006.12.19.}
Removed code from this rule.  Now calling |Scan_Parse::query_assignment_func_1|.
\ENDLOG

@<Parser rules@>=

@=query_assignment: query_variable COLON field_specifier @>
@=assignment_operator negation_optional match_term_optional query_expression@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
##undef DEBUG_OUTPUT
#endif 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

#ifdef DEBUG_OUTPUT 
    temp_strm << endl 
              << "Rule `query_assignment: query_variable COLON field_specifier "
              << "assignment_operator negation_optional match_term_optional "
              << "query_expression'."
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>

    Id_Node curr_id_node = static_cast<Id_Node>(@=$1@>);

    int status = query_assignment_func_1(scanner_node, 
                                         curr_id_node, 
                                         @=$3@>, 
                                         @=$4@>,
                                         @=$5@>,
                                         @=$6@>,
                                         @=$7@>,
                                         QUERY_TYPE);


   @=$$@> = static_cast<void*>(curr_id_node); 

@q ****** (6) @>

@ If |Scan_Parse::query_assignment_func_1| fails, |curr_id_node| will be 0 anyway, so 
it's not really necessary to check the value of |status|.  It's only done for the sake of
debugging output, which is conditionally compiled.
\initials{LDF 2006.12.19.}

@<Parser rules@>=

#ifdef DEBUG_OUTPUT 
    if (status != 0)
    {
        temp_strm << "ERROR!  In `yyparse',"
                  << endl
                  << "rule `query_assignment: query_variable COLON field_specifier "
                  << endl 
                  << "assignment_operator negation_optional match_term_optional "
                  << "query_expression':"
                  << endl
                  << "`Scan_Parse::query_assignment_func_1' failed, returning "
                  << status << "."
                  << endl 
                  << "Setting `query_assignment' to 0."
                  << endl;

        cerr_mutex.lock();
        cerr <<  temp_strm.str();
        cerr_mutex.unlock();
        scanner_node->log_strm << temp_strm.str();
        temp_strm.str("");

        @=$$@> = 0;

    }  /* |status != 0|  */
#endif 

@q ****** (6) @>
@
@<Parser rules@>=

#ifdef DEBUG_OUTPUT 
    temp_strm << endl 
              << "Exiting rule `query_assignment: query_variable COLON field_specifier "
              << "assignment_operator negation_optional match_term_optional "
              << "query_expression'."
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>


#undef DEBUG_OUTPUT

};

@q ***** (5) query_assignment: query_variable COLON field_specifier @>
@q ***** (5) assignment_operator negation_optional match_term_optional datetime_expression. @>

@*4 \query assignment> $\longrightarrow$ (etc\PERIOD).
\query assignment> $\longrightarrow$ \query variable>
\.{COLON} \field specifier> \assignment operator> \negation optional>
\match term optional> \query expression>.
\initials{LDF 2006.12.19.}

\LOG
\initials{LDF 2006.12.19.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=query_assignment: query_variable COLON field_specifier @>
@=assignment_operator negation_optional match_term_optional datetime_expression@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
##undef DEBUG_OUTPUT
#endif 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

#ifdef DEBUG_OUTPUT 
    temp_strm << endl 
              << "Rule `query_assignment: query_variable COLON field_specifier "
              << "assignment_operator negation_optional match_term_optional "
              << "datetime_expression'."
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>

    Id_Node curr_id_node = static_cast<Id_Node>(@=$1@>);

    int status = query_assignment_func_1(scanner_node, 
                                         curr_id_node, 
                                         @=$3@>, 
                                         @=$4@>,
                                         @=$5@>,
                                         @=$6@>,
                                         @=$7@>,
                                         DATETIME_TYPE);


   @=$$@> = static_cast<void*>(curr_id_node); 

@q ****** (6) @>

@ If |Scan_Parse::query_assignment_func_1| fails, |curr_id_node| will be 0 anyway, so 
it's not really necessary to check the value of |status|.  It's only done for the sake of
debugging output, which is conditionally compiled.
\initials{LDF 2006.12.19.}

@<Parser rules@>=

#ifdef DEBUG_OUTPUT 
    if (status != 0)
    {
        temp_strm << "ERROR!  In `yyparse',"
                  << endl
                  << "rule `query_assignment: query_variable COLON field_specifier "
                  << endl 
                  << "assignment_operator negation_optional match_term_optional "
                  << "datetime_expression':"
                  << endl
                  << "`Scan_Parse::query_assignment_func_1' failed, returning "
                  << status << "."
                  << endl 
                  << "Setting `query_assignment' to 0."
                  << endl;

        cerr_mutex.lock();
        cerr <<  temp_strm.str();
        cerr_mutex.unlock();
        scanner_node->log_strm << temp_strm.str();
        temp_strm.str("");

        @=$$@> = 0;

    }  /* |status != 0|  */
#endif 

@q ****** (6) @>
@
@<Parser rules@>=

#ifdef DEBUG_OUTPUT 
    temp_strm << endl 
              << "Exiting rule `query_assignment: query_variable COLON field_specifier "
              << "assignment_operator negation_optional match_term_optional "
              << "datetime_expression'."
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>


#undef DEBUG_OUTPUT

};


@q ***** (5) field_specifier.@>
@*4 \field specifier>.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <pointer_value> field_specifier@>

@q ****** (6) field_specifier: field_designator field_qualifier_list.@>
@*5 \field specifier> $\longrightarrow$ \field designator> 
\field qualifier list>.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_specifier: field_designator field_qualifier_list@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_specifier: field_designator field_qualifier_list'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

   deque<int>* d = (@=$2@> == 0) ? new deque<int> 
                                 : static_cast<deque<int>*>(@=$2@>);
 
   d->push_front(@=$1@>);

   @=$$@> = static_cast<void*>(d); 


};


@q ***** (5) field_designator.@>
@*4 \field designator>.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> field_designator@>

@q ****** (6) field_designator: ACCESS_NUMBER.@>
@*5 \field designator> $\longrightarrow$ \.{ACCESS\_NUMBER}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: ACCESS_NUMBER@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: ACCESS_NUMBER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = ACCESS_NUMBER;

};

@q ****** (6) field_designator: AUTHOR.@>
@*5 \field designator> $\longrightarrow$ \.{AUTHOR}.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: AUTHOR@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: AUTHOR'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = AUTHOR;

};

@q ****** (6) field_designator: BIBLIOGRAPHIC_TYPE.@>
@*5 \field designator> $\longrightarrow$ \.{BIBLIOGRAPHIC\_TYPE}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: BIBLIOGRAPHIC_TYPE@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: BIBLIOGRAPHIC_TYPE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = BIBLIOGRAPHIC_TYPE;

};

@q ****** (6) field_designator: CALL_NUMBER.@>
@*5 \field designator> $\longrightarrow$ \.{CALL\_NUMBER}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: CALL_NUMBER@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: CALL_NUMBER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = CALL_NUMBER;

};

@q ****** (6) field_designator: CLASSIFICATION.@>
@*5 \field designator> $\longrightarrow$ \.{CLASSIFICATION}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: CLASSIFICATION@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: CLASSIFICATION'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = CLASSIFICATION;

};

@q ****** (6) field_designator: COMPANY.@>
@*5 \field designator> $\longrightarrow$ \.{COMPANY}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: COMPANY@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: COMPANY'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = COMPANY;

};

@q ****** (6) field_designator: CONTENT_SUMMARY.@>
@*5 \field designator> $\longrightarrow$ \.{CONTENT\_SUMMARY}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: CONTENT_SUMMARY@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: CONTENT_SUMMARY'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = CONTENT_SUMMARY;

};

@q ****** (6) field_designator: CONTRIBUTOR.@>
@*5 \field designator> $\longrightarrow$ \.{CONTRIBUTOR}.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: CONTRIBUTOR@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: CONTRIBUTOR'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = CONTRIBUTOR;

};

@q ****** (6) field_designator: CREATOR.@>
@*5 \field designator> $\longrightarrow$ \.{CREATOR}.
\initials{LDF 2006.12.05.}

\LOG
\initials{LDF 2006.12.05.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: CREATOR@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: CREATOR'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = CREATOR;

};

@q ****** (6) field_designator: DATABASE_PROVIDER.@>
@*5 \field designator> $\longrightarrow$ \.{DATABASE\_PROVIDER}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: DATABASE_PROVIDER@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: DATABASE_PROVIDER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = DATABASE_PROVIDER;

};

@q ****** (6) field_designator: DESCRIPTION.@>
@*5 \field designator> $\longrightarrow$ \.{DESCRIPTION}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: DESCRIPTION@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: DESCRIPTION'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = DESCRIPTION;

};

@q ****** (6) field_designator: EXEMPLAR_PRODUCTION_NUMBER.@>
@*5 \field designator> $\longrightarrow$ \.{EXEMPLAR\_PRODUCTION\_NUMBER}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: EXEMPLAR_PRODUCTION_NUMBER@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: EXEMPLAR_PRODUCTION_NUMBER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = EXEMPLAR_PRODUCTION_NUMBER;

};

@q ****** (6) field_designator: IDENTIFIER.@>
@*5 \field designator> $\longrightarrow$ \.{IDENTIFIER}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: IDENTIFIER@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: IDENTIFIER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = IDENTIFIER;

};

@q ****** (6) field_designator: INSTITUTION.@>
@*5 \field designator> $\longrightarrow$ \.{INSTITUTION}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: INSTITUTION@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: INSTITUTION'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = INSTITUTION;

};

@q ****** (6) field_designator: LANGUAGE.@>
@*5 \field designator> $\longrightarrow$ \.{LANGUAGE}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: LANGUAGE@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: LANGUAGE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = LANGUAGE;

};

@q ****** (6) field_designator: MAIN_CANONICAL_TITLE.@>
@*5 \field designator> $\longrightarrow$ \.{MAIN\_CANONICAL\_TITLE}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: MAIN_CANONICAL_TITLE@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: MAIN_CANONICAL_TITLE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = MAIN_CANONICAL_TITLE;

};



@q ****** (6) field_designator: PERMUTATION_PATTERN.@>
@*5 \field designator> $\longrightarrow$ \.{PERMUTATION\_PATTERN}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: PERMUTATION_PATTERN@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: PERMUTATION_PATTERN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = PERMUTATION_PATTERN;

};

@q ****** (6) field_designator: PERSON.@>
@*5 \field designator> $\longrightarrow$ \.{PERSON}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: PERSON@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: PERSON'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = PERSON;

};

@q ****** (6) field_designator: PHYSICAL_DESCRIPTION.@>
@*5 \field designator> $\longrightarrow$ \.{PHYSICAL\_DESCRIPTION}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: PHYSICAL_DESCRIPTION@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: PHYSICAL_DESCRIPTION'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = PHYSICAL_DESCRIPTION;

};

@q ****** (6) field_designator: PUBLISHER.@>
@*5 \field designator> $\longrightarrow$ \.{PUBLISHER}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: PUBLISHER@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: PUBLISHER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = PUBLISHER;

};

@q ****** (6) field_designator: RECORD.@>
@*5 \field designator> $\longrightarrow$ \.{RECORD}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: RECORD@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: RECORD'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = RECORD;

};

@q ****** (6) field_designator: REMOTE_ACCESS.@>
@*5 \field designator> $\longrightarrow$ \.{REMOTE\_ACCESS}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: REMOTE_ACCESS@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: REMOTE_ACCESS'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = REMOTE_ACCESS;

};

@q ****** (6) field_designator: RIGHTS.@>
@*5 \field designator> $\longrightarrow$ \.{RIGHTS}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: RIGHTS@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: RIGHTS'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = RIGHTS;

};

@q ****** (6) field_designator: SOURCE.@>
@*5 \field designator> $\longrightarrow$ \.{SOURCE}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: SOURCE@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: SOURCE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = SOURCE;

};

@q ****** (6) field_designator: SUBJECT.@>
@*5 \field designator> $\longrightarrow$ \.{SUBJECT}.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: SUBJECT@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: SUBJECT'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = SUBJECT;

};

@q ****** (6) field_designator: SUPERORDINATE_ENTITIES.@>
@*5 \field designator> $\longrightarrow$ \.{SUPERORDINATE\_ENTITIES}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: SUPERORDINATE_ENTITIES@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: SUPERORDINATE_ENTITIES'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = SUPERORDINATE_ENTITIES;

};

@q ****** (6) field_designator: TITLE.@>
@*5 \field designator> $\longrightarrow$ \.{TITLE}.
\initials{LDF 2006.11.14.}

\LOG
\initials{2006.11.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: TITLE@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: TITLE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = TITLE;

};


@q ****** (6) field_designator: TYPE.@>
@*5 \field designator> $\longrightarrow$ \.{TYPE}.
\initials{LDF 2006.12.12.}

\LOG
\initials{LDF 2006.12.12.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_designator: TYPE@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_designator: TYPE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = TYPE;

};

@q ***** (5) field_qualifier_list.@>
@*4 \field qualifier>.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <pointer_value> field_qualifier_list@>

@q ****** (6) field_qualifier_list: /* Empty  */@>
@*5 \field qualifier list> $\longrightarrow$ \.{EMPTY}.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier_list: /* Empty  */@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: EMPTY'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    deque<int>* d = new deque<int>;

    @=$$@> = static_cast<void*>(d);

};

@q ****** (6) field_qualifier_list: field_qualifier_list PERIOD field_qualifier.@>
@*5 \field qualifier list> $\longrightarrow$ 
\field qualifier list> \.{PERIOD} \field qualifier>.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier_list: field_qualifier_list PERIOD field_qualifier@>
{
@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `field_qualifier: field_qualifier_list PERIOD field_qualifier'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    deque<int>* d = static_cast<deque<int>*>(@=$1@>);
    d->push_back(@=$3@>);

    @=$$@> = static_cast<void*>(d);

};



@q ***** (5) field_qualifier.@>
@*4 \field qualifier>.
\initials{LDF 2006.12.07.}

\LOG
\initials{LDF 2006.12.07.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> field_qualifier@>



@q ****** (6) Generic.@>
@*5 Generic.
\initials{LDF 2006.12.13.}

\LOG
\initials{2006.12.13.}
Added this section.
\ENDLOG

@q ****** (6) field_qualifier: ID.@>
@*5 \field qualifier> $\longrightarrow$ \.{ID}.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: ID@>
{

@q ******* (7) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: ID'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = ID;

};


@q ****** (6) Names.@>
@*5 Names.
\initials{LDF 2006.12.13.}

\LOG
\initials{2006.12.13.}
Added this section.
\ENDLOG

@q ******* (7) field_qualifier: SURNAME.@>
@*6 \field qualifier> $\longrightarrow$ \.{SURNAME}.
\initials{LDF 2006.12.07.}

\LOG
\initials{LDF 2006.12.07.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: SURNAME@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: SURNAME'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = SURNAME;

};

@q ******* (7) field_qualifier: GIVEN_NAME.@>
@*6 \field qualifier> $\longrightarrow$ \.{GIVEN\_NAME}.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: GIVEN_NAME@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: GIVEN_NAME'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = GIVEN_NAME;

};

@q ******* (7) field_qualifier: PREFIX.@>
@*6 \field qualifier> $\longrightarrow$ \.{PREFIX}.
\initials{LDF 2006.12.13.}

\LOG
\initials{LDF 2006.12.13.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: PREFIX@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: PREFIX'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = PREFIX;

};

@q ******* (7) @>

@q ****** (6) Field qualifiers for database table columns.@>
@*5 Field qualifiers for database table columns.
\initials{LDF 2006.12.14.}

\LOG
\initials{2006.12.14.}
Added this section.
\ENDLOG

@q ******* (7) Records.@>
@*6 Records.
\initials{LDF 2006.12.14.}

\LOG
\initials{2006.12.14.}
Added this section.
\ENDLOG

@q ******** (8) field_qualifier: ELN_ORIGINAL_ENTRY.@>
@*7 \field qualifier> $\longrightarrow$ \.{ELN\_ORIGINAL\_ENTRY}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: ELN_ORIGINAL_ENTRY@>
{

@q ********* (9) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: ELN_ORIGINAL_ENTRY'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = ELN_ORIGINAL_ENTRY;

};

@q ******** (8) field_qualifier: ELN_MOST_RECENT_CHANGE.@>
@*7 \field qualifier> $\longrightarrow$ \.{ELN\_MOST\_RECENT\_CHANGE}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: ELN_MOST_RECENT_CHANGE@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: ELN_MOST_RECENT_CHANGE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = ELN_MOST_RECENT_CHANGE;

};
@q ******** (8) field_qualifier: ELN_STATUS_CHANGE.@>
@*7 \field qualifier> $\longrightarrow$ \.{ELN\_STATUS\_CHANGE}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: ELN_STATUS_CHANGE@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: ELN_STATUS_CHANGE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = ELN_STATUS_CHANGE;

};
@q ******** (8) field_qualifier: IDENTIFICATION_NUMBER.@>
@*7 \field qualifier> $\longrightarrow$ \.{IDENTIFICATION\_NUMBER}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: IDENTIFICATION_NUMBER@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: IDENTIFICATION_NUMBER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = IDENTIFICATION_NUMBER;

};
@q ******** (8) field_qualifier: DATE_ORIGINAL_ENTRY.@>
@*7 \field qualifier> $\longrightarrow$ \.{DATE\_ORIGINAL\_ENTRY}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: DATE_ORIGINAL_ENTRY@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: DATE_ORIGINAL_ENTRY'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = DATE_ORIGINAL_ENTRY;

};
@q ******** (8) field_qualifier: DATE_MOST_RECENT_CHANGE.@>
@*7 \field qualifier> $\longrightarrow$ \.{DATE\_MOST\_RECENT\_CHANGE}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: DATE_MOST_RECENT_CHANGE@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: DATE_MOST_RECENT_CHANGE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = DATE_MOST_RECENT_CHANGE;

};
@q ******** (8) field_qualifier: DATE_STATUS_CHANGE.@>
@*7 \field qualifier> $\longrightarrow$ \.{DATE\_STATUS\_CHANGE}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: DATE_STATUS_CHANGE@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: DATE_STATUS_CHANGE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = DATE_STATUS_CHANGE;

};
@q ******** (8) field_qualifier: SOURCE_ID.@>
@*7 \field qualifier> $\longrightarrow$ \.{SOURCE\_ID}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: SOURCE_ID@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: SOURCE_ID'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = SOURCE_ID;

};
@q ******** (8) field_qualifier: YEAR_APPEARANCE_BEGIN.@>
@*7 \field qualifier> $\longrightarrow$ \.{YEAR\_APPEARANCE\_BEGIN}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: YEAR_APPEARANCE_BEGIN@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: YEAR_APPEARANCE_BEGIN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR_APPEARANCE_BEGIN;

};
@q ******** (8) field_qualifier: YEAR_APPEARANCE_END.@>
@*7 \field qualifier> $\longrightarrow$ \.{YEAR\_APPEARANCE\_END}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: YEAR_APPEARANCE_END@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: YEAR_APPEARANCE_END'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR_APPEARANCE_END;

};
@q ******** (8) field_qualifier: YEAR_APPEARANCE_RAK_WB.@>
@*7 \field qualifier> $\longrightarrow$ \.{YEAR\_APPEARANCE\_RAK\_WB}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: YEAR_APPEARANCE_RAK_WB@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: YEAR_APPEARANCE_RAK_WB'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR_APPEARANCE_RAK_WB;

};
@q ******** (8) field_qualifier: YEAR_APPEARANCE_ORIGINAL.@>
@*7 \field qualifier> $\longrightarrow$ \.{YEAR\_APPEARANCE\_ORIGINAL}.
\initials{LDF 2006.12.14.}

\LOG
\initials{LDF 2006.12.14.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=field_qualifier: YEAR_APPEARANCE_ORIGINAL@>
{

@q ******** (8) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `field_qualifier: YEAR_APPEARANCE_ORIGINAL'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR_APPEARANCE_ORIGINAL;

};


@q ******** (8) @>

@q ******* (7) @>

@q ****** (6) @>

@q ***** (5) @>

@q **** (4) @>

@q *** (3) datasource_assignment.@>
@*2 \datasource assignment>.
\initials{LDF 2006.12.08.}

\LOG
\initials{2006.12.08.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <pointer_value> datasource_assignment@>

@q **** (4) datasource_assignment: datasource_variable ASSIGN datasource_expression.@>
@*3 \datasource assignment> $\longrightarrow$ \datasource variable> \.{ASSIGN} 
\datasource expression>.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datasource_assignment: datasource_variable ASSIGN datasource_expression@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datasource_assignment: datasource_variable "
              << "ASSIGN datasource_expression'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value != 0)
          delete static_cast<Datasource_Node>(id_node->value);

       id_node->value = @=$3@>; 
       @=$$@> = @=$3@>;
    }
    
#undef DEBUG_OUTPUT

};

@q **** (4) datasource_assignment: datasource_variable ASSIGN DBT.@>
@*3 \datasource assignment> $\longrightarrow$ \datasource variable> \.{ASSIGN} 
\.{DBT}.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datasource_assignment: datasource_variable ASSIGN DBT@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datasource_assignment: datasource_variable ASSIGN DBT'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value == 0)
          id_node->value = static_cast<void*>(new Datasource_Type);

       static_cast<Datasource_Node>(id_node->value)->type = Datasource_Type::DBT_TYPE; 

       @=$$@> = id_node->value;
    }
    
#undef DEBUG_OUTPUT

};

@q **** (4) datasource_assignment: datasource_variable ASSIGN GBV_GVK.@>
@*3 \datasource assignment> $\longrightarrow$ \datasource variable> \.{ASSIGN} 
\.{GBV\_GVK}.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datasource_assignment: datasource_variable ASSIGN GBV_GVK@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datasource_assignment: datasource_variable ASSIGN GBV_GVK'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value == 0)
          id_node->value = static_cast<void*>(new Datasource_Type);

       static_cast<Datasource_Node>(id_node->value)->type 
          = Datasource_Type::GBV_GVK_TYPE; 

       @=$$@> = id_node->value;
    }
    
#undef DEBUG_OUTPUT

};


@q **** (4) datasource_assignment: datasource_variable ASSIGN TIMMS.@>
@*3 \datasource assignment> $\longrightarrow$ \datasource variable> \.{ASSIGN} 
\.{TIMMS}.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datasource_assignment: datasource_variable ASSIGN TIMMS@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datasource_assignment: datasource_variable ASSIGN TIMMS'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value == 0)
          id_node->value = static_cast<void*>(new Datasource_Type);

       static_cast<Datasource_Node>(id_node->value)->type = Datasource_Type::TIMMS_TYPE; 

       @=$$@> = id_node->value;
    }
    
#undef DEBUG_OUTPUT

};

@q **** (4) datasource_assignment: datasource_variable ASSIGN DATASOURCE_FILE.@>
@*3 \datasource assignment> $\longrightarrow$ \datasource variable> \.{ASSIGN} 
\.{DATASOURCE\_FILE}.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datasource_assignment: datasource_variable ASSIGN DATASOURCE_FILE@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datasource_assignment: datasource_variable ASSIGN DATASOURCE_FILE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value == 0)
          id_node->value = static_cast<void*>(new Datasource_Type);

       static_cast<Datasource_Node>(id_node->value)->type 
          = Datasource_Type::DATASOURCE_FILE_TYPE; 

       @=$$@> = id_node->value;
    }
    
#undef DEBUG_OUTPUT

};

@q *** (3) string_assignment.@>
@*2 \string assignment>.
\initials{LDF 2006.11.16.}

\LOG
\initials{2006.11.16.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <string_value> string_assignment@>

@q **** (4) string_assignment: string_variable ASSIGN string_expression.@>
@*3 \string assignment> $\longrightarrow$ \string variable> 
\.{ASSIGN} \string expression>.
\initials{LDF 2006.11.16.}

\LOG
\initials{2006.11.16.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=string_assignment: string_variable ASSIGN string_expression@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

#ifdef DEBUG_OUTPUT 




    temp_strm << endl 
              << "Rule `string_assignment:  string_variable "
              << "ASSIGN string_expression'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node curr_id_node = static_cast<Id_Node>(@=$1@>);

@q ****** (6) @>

    if (curr_id_node == 0)
    {
        temp_strm << "WARNING!  In `yyparse', rule "
                  << "`string_assignment:  string_variable"
                  << endl 
                  << "ASSIGN string_expression':" 
                  << endl 
                  << "`string_variable' == 0.  Can't assign."
                  << endl
                  << "Type <RETURN> to continue: ";

         cerr_mutex.lock();
         cerr <<  temp_strm.str();
         getchar(); 
         cerr_mutex.unlock();
         scanner_node->log_strm << temp_strm.str();
         temp_strm.str("");
                  
        strcpy(@=$$@>, @=$3@>);
    }

@q ****** (6) @>

    else
    {
        if (curr_id_node->value == 0)
           curr_id_node->value = new string;

        *static_cast<string*>(curr_id_node->value) = @=$3@>;

        strcpy(@=$$@>, @=$3@>);
 
    }

@q ****** (6) @>

#undef DEBUG_OUTPUT

};


@q **** (4) string_assignment: string_variable ASSIGN TEX query_expression.@>
@*3 \string assignment> $\longrightarrow$ \string variable> 
\.{ASSIGN} \.{TEX} \query expression>.
\initials{LDF 2006.11.16.}

\LOG
\initials{2006.11.16.}
Added this rule.

\initials{LDF 2006.12.01.}
@q { @>
@:BUG FIX}{{\bf BUG FIX}@>
@q } @>
!! BUG FIX:  Added code for the case that |curr_id_node->value != 0|.
\ENDLOG

@<Parser rules@>=

@=string_assignment: string_variable ASSIGN TEX query_expression@>
{

     
@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

#ifdef DEBUG_OUTPUT 


    temp_strm << endl 
              << "Rule `string_assignment: string_variable ASSIGN TEX query_expression"
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>

    Id_Node curr_id_node = static_cast<Id_Node>(@=$1@>);

    Query_Node q = static_cast<Query_Node>(@=$4@>);

    string* curr_string = 0;   

    stringstream tex_strm;

@q ****** (6) @>

    if (curr_id_node == 0 || q == 0)
    {
       strcpy(@=$$@>, "");
    }

@q ****** (6) @>

    else /* |curr_id_node != 0|  */
    {
       curr_id_node->subtype = Id_Type::TEX_STRING_TYPE;

       if (curr_id_node->value == 0)
       {
          curr_string = new string;
          curr_id_node->value = static_cast<void*>(curr_string); 
       }
      else
      {
          *static_cast<string*>(curr_id_node->value) = ""; 
          curr_string = static_cast<string*>(curr_id_node->value);
      }


@q ******* (7) @>
@
@<Parser rules@>=

       stringstream* tex_strm = new stringstream;

       *curr_string = q->generate_tex_string(scanner_node,
                                             tex_strm);
       tex_strm->str("");
       strcpy(@=$$@>, curr_string->c_str());

    }  /* |else| (|curr_id_node != 0|)  */

@q ****** (6) @>


};

@q **** (4) string_assignment: string_variable ASSIGN SQL OAI query_expression.@>
@*3 \string assignment> $\longrightarrow$ \string variable> 
\.{ASSIGN} \.{SQL} \.{OAI} \query expression>.
\initials{LDF 2006.12.01.}

\LOG
\initials{LDF 2006.12.01.}
Added this rule.

\initials{LDF 2006.12.06.}
Changed this rule from 
\string assignment> $\longrightarrow$ \string variable> 
\.{ASSIGN} \.{SQL} \query expression>
to
\string assignment> $\longrightarrow$ \string variable> 
\.{ASSIGN} \.{SQL} \.{OAI} \query expression>.
\ENDLOG

@<Parser rules@>=

@=string_assignment: string_variable ASSIGN SQL OAI query_expression@>
{

     
@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

#ifdef DEBUG_OUTPUT 


    temp_strm << endl 
              << "Rule `string_assignment: string_variable ASSIGN "
              << "SQL OAI query_expression"
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>

    stringstream tex_strm;    
    stringstream select_strm; 
    stringstream from_strm;   
    stringstream where_strm_0;  
    stringstream where_strm_1;  

    Id_Node curr_id_node = static_cast<Id_Node>(@=$1@>);

    Query_Node q = static_cast<Query_Node>(@=$5@>);

    string* curr_string = 0;   


@q ****** (6) @>

    if (curr_id_node == 0 || q == 0)
    {
       strcpy(@=$$@>, "");
    }

@q ****** (6) @>

    else /* |curr_id_node != 0|  */
    {
       curr_id_node->subtype = Id_Type::SQL_STRING_TYPE;

       if (curr_id_node->value == 0)
       {
          curr_string = new string;
          curr_id_node->value = static_cast<void*>(curr_string); 
       }
      else
      {
          *static_cast<string*>(curr_id_node->value) = ""; 
          curr_string = static_cast<string*>(curr_id_node->value);
      }


@q ******* (7) @>
@
@<Parser rules@>=

       bool first_select = true;
       bool first_from = true;
       bool first_where = true;
       bitset<QUERY_TYPE_BITSET_SIZE>field_flags(0L);

       int r =  q->generate_sql_string(scanner_node,
                              OAI,
                              &tex_strm,
                              &select_strm,  
                              &from_strm,    
                              &where_strm_0,
                              &where_strm_1,
                              &first_select,
                              &first_from,
                              &first_where,
                              &field_flags,
                              curr_string);

       tex_strm.str("");
       if (r == 0)
          strcpy(@=$$@>, curr_string->c_str());
       else
          strcpy(@=$$@>, "");

    }  /* |else| (|curr_id_node != 0|)  */

@q ****** (6) @>

};

@q **** (4) string_assignment: string_variable ASSIGN SQL PICA query_expression.@>
@*3 \string assignment> $\longrightarrow$ \string variable> 
\.{ASSIGN} \.{SQL} \.{PICA} \query expression>.
\initials{LDF 2006.12.01.}

\LOG
\initials{LDF 2006.12.06.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=string_assignment: string_variable ASSIGN SQL PICA query_expression@>
{

     
@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

#ifdef DEBUG_OUTPUT 


    temp_strm << endl 
              << "Rule `string_assignment: string_variable ASSIGN "
              << "SQL PICA query_expression"
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

@q ****** (6) @>

    stringstream tex_strm;    
    stringstream select_strm; 
    stringstream from_strm;   
    stringstream where_strm_0;  
    stringstream where_strm_1;  

    Id_Node curr_id_node = static_cast<Id_Node>(@=$1@>);

    Query_Node q = static_cast<Query_Node>(@=$5@>);

    string* curr_string = 0;   


@q ****** (6) @>

    if (curr_id_node == 0 || q == 0)
    {
       strcpy(@=$$@>, "");
    }

@q ****** (6) @>

    else /* |curr_id_node != 0|  */
    {
       curr_id_node->subtype = Id_Type::SQL_STRING_TYPE;

       if (curr_id_node->value == 0)
       {
          curr_string = new string;
          curr_id_node->value = static_cast<void*>(curr_string); 
       }
      else
      {
          *static_cast<string*>(curr_id_node->value) = ""; 
          curr_string = static_cast<string*>(curr_id_node->value);
      }


@q ******* (7) @>
@
@<Parser rules@>=

       bool first_select = true;
       bool first_from = true;
       bool first_where = true;
       bitset<QUERY_TYPE_BITSET_SIZE> field_flags(0L);

       int r =  q->generate_sql_string(scanner_node,
                                        PICA,
                                        &tex_strm,
                                        &select_strm,  
                                        &from_strm,    
                                        &where_strm_0,
                                        &where_strm_1,
                                        &first_select,
                                        &first_from,
                                        &first_where,
                                        &field_flags,
                                        curr_string);

       tex_strm.str("");
   
       if (r == 0)
          strcpy(@=$$@>, curr_string->c_str());
       else
          strcpy(@=$$@>, "");
   

    }  /* |else| (|curr_id_node != 0|)  */

@q ****** (6) @>

};

@q *** (3) datetime_assignment.@>
@*2 \datetime assignment>.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <pointer_value> datetime_assignment@>

@q **** (4) datetime_assignment: datetime_variable ASSIGN datetime_expression.@>
@*3 \datetime assignment> $\longrightarrow$ \datetime variable> \.{ASSIGN} 
\datetime expression>.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_assignment: datetime_variable ASSIGN datetime_expression@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_assignment: datetime_variable ASSIGN datetime_expression'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);

    if (!id_node)
       @=$$@> = 0;
    else
    {
       if (id_node->value != 0)
          delete static_cast<Date_Time_Node>(id_node->value);

       id_node->value = @=$3@>; 
       @=$$@> = @=$3@>;
    }
    
#undef DEBUG_OUTPUT

};

@q **** (4) datetime_assignment: datetime_variable COLON @>
@q **** (4) datetime_specifier assignment_operator INT.@>
@*3 \datetime assignment> $\longrightarrow$ \datetime variable> 
\.{COLON} \datetime specifier> 
(etc\PERIOD).
\datetime assignment> $\longrightarrow$ \datetime variable> 
\.{COLON} \datetime specifier> 
\assignment operator> \.{INTEGER}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_assignment: datetime_variable COLON datetime_specifier @>@/
@=assignment_operator INTEGER@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_assignment: datetime_variable COLON "
              << "datetime_specifier assignment_operator INTEGER'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);


@q ******* (7) @>

    if (!id_node)
    {

        temp_strm << "ERROR!  In `yyparse', rule"
                  << endl 
                  << "`datetime_assignment: datetime_variable COLON "
                  << "datetime_specifier assignment_operator INTEGER':"
                  << endl
                  << "`datetime_variable' == NULL.  "
                  << "Setting value of action (`datetime_assignment') "
                  << "to 0."
                  << endl;

        cerr_mutex.lock();
        cerr <<  temp_strm.str();
        cerr_mutex.unlock();
        scanner_node->log_strm << temp_strm.str();
        temp_strm.str("");

        @=$$@> = 0;

    }  /* |if (!id_node)|  */

@q ******* (7) @>

    else /* |id_node != 0|  */
    {

       Date_Time_Node d = static_cast<Date_Time_Node>(id_node->value);

       int val = @=$5@>;
   
       datetime_assignment_func_0(scanner_node, 
                                  d, 
                                  @=$3@>, 
                                  @=$4@>, 
                                  static_cast<void*>(&val), 
                                  INTEGER);

       id_node->value = static_cast<void*>(d); 

       @=$$@> = id_node->value;

    }  /* |else| (|id_node != 0|)  */
    
#undef DEBUG_OUTPUT

};

@q **** (4) datetime_assignment: datetime_variable COLON @>
@q **** (4) datetime_specifier assignment_operator FLOAT.@>
@*3 \datetime assignment> $\longrightarrow$ \datetime variable> 
\.{COLON} \datetime specifier> 
(etc\PERIOD).
\datetime assignment> $\longrightarrow$ \datetime variable> 
\.{COLON} \datetime specifier> 
\assignment operator> \.{FLOAT}.
\initials{LDF 2006.12.18.}

\LOG
\initials{2006.12.18.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_assignment: datetime_variable COLON datetime_specifier @>@/
@=assignment_operator FLOAT@>
{

@q ***** (5) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_assignment: datetime_variable COLON "
              << "datetime_specifier assignment_operator FLOAT'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    Id_Node id_node = static_cast<Id_Node>(@=$1@>);


@q ***** (5) @>

    if (!id_node)
    {

        temp_strm << "ERROR!  In `yyparse', rule"
                  << endl 
                  << "`datetime_assignment: datetime_variable COLON "
                  << "datetime_specifier assignment_operator FLOAT':"
                  << endl
                  << "`datetime_variable' == NULL.  "
                  << "Setting value of action (`datetime_assignment') "
                  << "to 0."
                  << endl;

        cerr_mutex.lock();
        cerr <<  temp_strm.str();
        cerr_mutex.unlock();
        scanner_node->log_strm << temp_strm.str();
        temp_strm.str("");

        @=$$@> = 0;

    }  /* |if (!id_node)|  */

@q ***** (5) @>

    else /* |id_node != 0|  */
    {

       Date_Time_Node d = static_cast<Date_Time_Node>(id_node->value);

       float val = @=$5@>;
   
       datetime_assignment_func_0(scanner_node, 
                                  d, 
                                  @=$3@>, 
                                  @=$4@>, 
                                  static_cast<void*>(&val), 
                                  FLOAT);

       id_node->value = static_cast<void*>(d); 

       @=$$@> = id_node->value;

    }  /* |else| (|id_node != 0|)  */
    
@q ***** (5) @>

#undef DEBUG_OUTPUT

};

@q **** (4) @>

@q *** (3) Datetime specifier.@>
@*2 Datetime specifier.

\LOG
\initials{2006.12.15.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> datetime_specifier@>


@q **** (4) datetime_specifier: YEAR_RANGE_BEGIN.@>
@*3 \datetime specifier> $\longrightarrow$ \.{YEAR\_RANGE\_BEGIN}.
\initials{LDF 2006.12.18.}

\LOG
\initials{LDF 2006.12.18.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: YEAR_RANGE_BEGIN@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: YEAR_RANGE_BEGIN'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR_RANGE_BEGIN;

};


@q **** (4) datetime_specifier: YEAR_RANGE_END.@>
@*3 \datetime specifier> $\longrightarrow$ \.{YEAR\_RANGE\_END}.
\initials{LDF 2006.12.18.}

\LOG
\initials{LDF 2006.12.18.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: YEAR_RANGE_END@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: YEAR_RANGE_END'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR_RANGE_END;

};

@q **** (4) datetime_specifier: YEAR.@>
@*3 \datetime specifier> $\longrightarrow$ \.{YEAR}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: YEAR@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: YEAR'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = YEAR;

};

@q **** (4) datetime_specifier: MONTH.@>
@*3 \datetime specifier> $\longrightarrow$ \.{MONTH}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: MONTH@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: MONTH'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = MONTH;

};

@q **** (4) datetime_specifier: DAY.@>
@*3 \datetime specifier> $\longrightarrow$ \.{DAY}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: DAY@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: DAY'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = DAY;

};

@q **** (4) datetime_specifier: HOUR.@>
@*3 \datetime specifier> $\longrightarrow$ \.{HOUR}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: HOUR@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: HOUR'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = HOUR;

};

@q **** (4) datetime_specifier: MINUTE.@>
@*3 \datetime specifier> $\longrightarrow$ \.{MINUTE}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: MINUTE@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: MINUTE'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = MINUTE;

};

@q **** (4) datetime_specifier: SECOND.@>
@*3 \datetime specifier> $\longrightarrow$ \.{SECOND}.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=datetime_specifier: SECOND@>
{

@q ****** (6) @>

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);


    temp_strm << endl 
              << "Rule `datetime_specifier: SECOND'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");
#endif 

    @=$$@> = SECOND;

};


@q *** (3) @>

@q ** (2) @>

@q * (1) Emacs-Lisp code for use in indirect buffers.  LDF 2006.10.11.@>

@q (progn (cweb-mode))              @>

@q * (1) Local Variables for Emacs  @>

@q Local Variables: @>
@q mode:CWEB @>
@q End: @>
