/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/* A Bison parser, made by GNU Bison 2.1.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     DATESTAMP_START_TAG = 258,
     DATESTAMP_END_TAG = 259,
     HEADER_START_TAG = 260,
     HEADER_END_TAG = 261,
     IDENTIFIER_START_TAG = 262,
     IDENTIFIER_END_TAG = 263,
     METADATA_START_TAG = 264,
     METADATA_END_TAG = 265,
     OAI_DC_DC_START_TAG = 266,
     OAI_DC_DC_END_TAG = 267,
     RECORD_START_TAG = 268,
     RECORD_END_TAG = 269,
     DC_CREATOR_START_TAG = 270,
     DC_CREATOR_END_TAG = 271,
     DC_CONTRIBUTOR_START_TAG = 272,
     DC_CONTRIBUTOR_END_TAG = 273,
     DC_DESCRIPTION_START_TAG = 274,
     DC_DESCRIPTION_END_TAG = 275,
     DC_DATE_START_TAG = 276,
     DC_DATE_END_TAG = 277,
     DC_IDENTIFIER_START_TAG = 278,
     DC_IDENTIFIER_END_TAG = 279,
     DC_LANGUAGE_START_TAG = 280,
     DC_LANGUAGE_END_TAG = 281,
     DC_RIGHTS_START_TAG = 282,
     DC_RIGHTS_END_TAG = 283,
     DC_SUBJECT_START_TAG = 284,
     DC_SUBJECT_END_TAG = 285,
     DC_TYPE_START_TAG = 286,
     DC_TYPE_END_TAG = 287,
     END_OAI = 288
   };
#endif
/* Tokens.  */
#define DATESTAMP_START_TAG 258
#define DATESTAMP_END_TAG 259
#define HEADER_START_TAG 260
#define HEADER_END_TAG 261
#define IDENTIFIER_START_TAG 262
#define IDENTIFIER_END_TAG 263
#define METADATA_START_TAG 264
#define METADATA_END_TAG 265
#define OAI_DC_DC_START_TAG 266
#define OAI_DC_DC_END_TAG 267
#define RECORD_START_TAG 268
#define RECORD_END_TAG 269
#define DC_CREATOR_START_TAG 270
#define DC_CREATOR_END_TAG 271
#define DC_CONTRIBUTOR_START_TAG 272
#define DC_CONTRIBUTOR_END_TAG 273
#define DC_DESCRIPTION_START_TAG 274
#define DC_DESCRIPTION_END_TAG 275
#define DC_DATE_START_TAG 276
#define DC_DATE_END_TAG 277
#define DC_IDENTIFIER_START_TAG 278
#define DC_IDENTIFIER_END_TAG 279
#define DC_LANGUAGE_START_TAG 280
#define DC_LANGUAGE_END_TAG 281
#define DC_RIGHTS_START_TAG 282
#define DC_RIGHTS_END_TAG 283
#define DC_SUBJECT_START_TAG 284
#define DC_SUBJECT_END_TAG 285
#define DC_TYPE_START_TAG 286
#define DC_TYPE_END_TAG 287
#define END_OAI 288




#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 152 "dbcrprsr.yxx"
typedef union YYSTYPE {
int int_value;
float float_value;
char string_value[2048];
void*pointer_value;
} YYSTYPE;
/* Line 1447 of yacc.c.  */
#line 111 "dbcrprsr.hxx"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



#if ! defined (YYLTYPE) && ! defined (YYLTYPE_IS_DECLARED)
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif




