@q declrtns.web@>
@q Created by Laurence D. Finston (LDF) 2006.11.01.@>
   
@q  Replace this character: ? (2215) @>
@q with this character: ? (167 == 0xA7), if TeX fails because of the character @>
@q encoding used for this file.@>
@q See also "Yen", below, if problems arise again.@>
@q LDF 2006.11.01.@>


@q $Id: declrtns.w,v 1.6 2007/02/13 20:37:24 lfinsto1 Exp $ @>

@q * (1) Copyright and License. @>

@q This file is part of the LDF Metadata Exchange Utilities,            @>
@q a package for metadata exchange.                                     @>
@q It contains code from the the IWF Metadata Harvester, a package for  @>
@q metadata harvesting.                                                 @> 

@q The following copyright notice applies to the contents of this file up to  @>      
@q and including January 31, 2007:                                            @> 

@q Copyright (C) 2006, 2007 IWF Wissen und Medien gGmbH  @>

@q The following copyright notice applies to all changes and additions to this file  @>      
@q starting on February 1, 2007:                                                     @> 

@q Copyright (C) 2007 Laurence D. Finston  @>

@q The state of this file as of January 31, 2007 is stored in the  	  @>    
@q revision of this file with the symbolic tag "LAST_IWF"          	  @>
@q in the CVS repository for the LDF Metadata Exchange Utilities:  	  @>
@q http://cvs.savannah.nongnu.org/viewcvs/iwf-mdh/?root=iwf-mdh    	  @>
@q If necessary, changes and additions after this date can be determined  @>
@q by comparing this revision with later ones using the GNU diffutils:    @>
@q http://www.gnu.org/software/diffutils/diffutils.html                   @>

@q The author is Laurence D. Finston.  @>

@q The LDF Metadata Exchange Utilities are free software;                  @>
@q you can redistribute them and/or modify                                 @>
@q them under the terms of the GNU General Public License as published by  @>
@q the Free Software Foundation; either version 2 of the License, or       @>
@q (at your option) any later version.                                     @>

@q The LDF Metadata Exchange Utilities are distributed in the hope               @>          
@q that they will be useful, but WITHOUT ANY WARRANTY; without even              @>
@q the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  @>
@q See the GNU General Public License for more details.                          @>

@q You should have received a copy of the GNU General Public License                   @>
@q along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  @>
@q Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          @>

@q The LDF Metadata Exchange Utilities are available for downloading from the @>
@q following FTP server:                                                      @>
@q ftp://ftp.gwdg.de/pub/gnu2/iwfmdh/                                         @>

@q "@@" stands for a single "at"-sign in the following email adresses.  @>

@q Please send bug reports to lfinsto1@@gwdg.de  @>

@q The author can be contacted at: @>

@q Laurence D. Finston @>
@q Kreuzbergring 41    @>
@q D-37075 Goettingen  @>
@q Germany             @>

@q lfinsto1@@gwdg.de               @>
@q s246794@@stud.uni-goettingen.de @>



@q ** (2) Declarations.@>
@*1 Declarations (\filename{declrtns.w}).
\initials{LDF 2006.11.01.}

\LOG
\initials{LDF 2006.11.01.}
Added this file.
\ENDLOG

@
@<\filename{declrtns.w}@>=
static char declrtns_id_string[] 
   = "$Id: declrtns.w,v 1.6 2007/02/13 20:37:24 lfinsto1 Exp $"; 

@
@<Type declarations for non-terminal symbols@>=
@=%type <int_value> declaration@>

@q *** (3) declaration: query_declaration.@>
@*2 \declaration> $\longrightarrow$ \query declaration>.
\initials{LDF 2006.11.01.}

@<Parser rules@>=

@=declaration: query_declaration@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `declaration: query_declaration'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q *** (3) declaration: string_declaration.@>
@*2 \declaration> $\longrightarrow$ \string declaration>.
\initials{LDF 2006.11.16.}

\LOG
\initials{2006.11.16.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=declaration: string_declaration@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `declaration: string_declaration'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q *** (3) declaration: datasource_declaration.@>
@*2 \declaration> $\longrightarrow$ \datasource declaration>.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=declaration: datasource_declaration@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `declaration: datasource_declaration'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q *** (3) declaration: datetime_declaration.@>
@*2 \declaration> $\longrightarrow$ \datetime declaration>.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=declaration: datetime_declaration@>
{

#if 1 /* 0 */ 
#define DEBUG_OUTPUT 
#else
#undef DEBUG_OUTPUT
#endif 

#ifdef DEBUG_OUTPUT 
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `declaration: datetime_declaration'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

#endif 

};


@q *** (3) variable_declaration_segment_list.@>
@*2 \variable declaration segment list>.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <string_value> variable_declaration_segment_list@>

@q *** (3) subscript_placeholder.@>
@*2 \subscript placeholder>.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> subscript_placeholder@>

@q **** (4) variable_declaration_segment_list: VARIABLE_TEXT_SEGMENT@>
@*3 \variable declaration segment list> $\longrightarrow$ \.{VARIABLE\_TEXT\_SEGMENT}.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=variable_declaration_segment_list: VARIABLE_TEXT_SEGMENT@>
{

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    strcpy(@=$$@>, @=$1@>);

    temp_strm << endl 
              << "Rule `variable_declaration_segment_list: VARIABLE_TEXT_SEGMENT'." 
              << endl
              << "`$$' == " << @=$$@>
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");



};

@q **** (4) variable_declaration_segment_list: @>
@q **** (4) variable_declaration_segment_list VARIABLE_TEXT_SEGMENT@>
@*3 \variable declaration segment list>
$\longrightarrow$ (etc\PERIOD).
\variable declaration segment list>
 $\longrightarrow$ \variable declaration segment list> 
\.{VARIABLE\_TEXT\_SEGMENT}.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=variable_declaration_segment_list: variable_declaration_segment_list @>
@=VARIABLE_TEXT_SEGMENT@>
{

    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    strcat(@=$$@>, @=$2@>);

    temp_strm << endl 
              << "Rule `variable_declaration_segment_list: "
              << "variable_declaration_segment_list "
              << "VARIABLE_TEXT_SEGMENT'." 
              << endl
              << "`$$' == " << @=$$@>
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

@q **** (4) variable_declaration_segment_list: @>
@q **** (4) variable_declaration_segment_list subscript_placeholder@>
@*3 \variable declaration segment list> $\longrightarrow$ (etc\PERIOD).
\variable declaration segment list> $\longrightarrow$ 
\variable declaration segment list> \subscript placeholder>.
\initials{LDF 2006.11.01.}

The ``Yen'' symbol ``'' (|0xA5|) is added to the semantic value of the 
\variable declaration segment list> as a placeholder.  This string will 
be used as the name of a top-level |Id_Type| object in |scanner_node->id_map|.  
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=variable_declaration_segment_list: variable_declaration_segment_list subscript_placeholder@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    strcat(@=$$@>, "");

    temp_strm << endl 
              << "Rule `variable_declaration_segment_list: variable_declaration_segment_list "
              << "subscript_placeholder'." 
              << endl
              << "`$$' == " << @=$$@>
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};


@q **** (4) subscript_placeholder: OPEN_BRACKET CLOSE_BRACKET@>
@*3 \subscript placeholder> $\longrightarrow$ \.{OPEN\_BRACKET} 
\.{CLOSE\_BRACKET}.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this rule.
\ENDLOG

@<Parser rules@>=

@=subscript_placeholder: OPEN_BRACKET CLOSE_BRACKET@>
{
    Scanner_Node scanner_node = static_cast<Scanner_Node>(parameter);

    temp_strm << endl 
              << "Rule `subscript_placeholder: OPEN_BRACKET CLOSE_BRACKET'." 
              << endl;

    cerr_mutex.lock();
    cerr <<  temp_strm.str();
    cerr_mutex.unlock();
    scanner_node->log_strm << temp_strm.str();
    temp_strm.str("");

};

   
@q *** (3) query_declaration.@>
@*2 \query declaration>.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> query_declaration@>

@q **** (4) query_declaration: QUERY_DECLARATOR variable_declaration_segment_list.@>
@*3 \query declaration> $\longrightarrow$ (etc\PERIOD).
\query declaration> $\longrightarrow$ \.{QUERY\_DECLARATOR} 
\variable declaration segment list>.
\initials{LDF 2006.11.01.}

\LOG
\initials{LDF 2006.11.01.}
Added this rule.

\initials{LDF 2006.11.02.}
No longer setting |@=$$@>| to the return value of 
|Scan_Parse::declare_variable_func|, because I've changed its return value from 
|int| to |Id_Node|.
\ENDLOG 

@<Parser rules@>=

@=query_declaration: QUERY_DECLARATOR variable_declaration_segment_list@>
{

    Scan_Parse::declare_variable_func(parameter, QUERY_TYPE, @=$2@>);

    @=$$@> = 0;

};

@q *** (3) datasource_declaration.@>
@*2 \datasource declaration>.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> datasource_declaration@>

@q **** (4) datasource_declaration: DATASOURCE_DECLARATOR @>
@q **** (4) variable_declaration_segment_list.@>
@*3 \datasource declaration> $\longrightarrow$ (etc\PERIOD).
\datasource declaration> $\longrightarrow$ \.{DATASOURCE\_DECLARATOR} 
\variable declaration segment list>.
\initials{LDF 2006.12.08.}

\LOG
\initials{LDF 2006.12.08.}
Added this rule.
\ENDLOG 

@<Parser rules@>=

@=datasource_declaration: DATASOURCE_DECLARATOR variable_declaration_segment_list@>
{

    Scan_Parse::declare_variable_func(parameter, DATASOURCE_TYPE, @=$2@>);

    @=$$@> = 0;

};

@q *** (3) string_declaration.@>
@*2 \string declaration>.
\initials{LDF 2006.11.01.}

\LOG
\initials{2006.11.01.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> string_declaration@>

@q **** (4) string_declaration: STRING_DECLARATOR variable_declaration_segment_list.@>
@*3 \string declaration> $\longrightarrow$ (etc\PERIOD).
\string declaration> $\longrightarrow$ \.{STRING\_DECLARATOR} 
\variable declaration segment list>.
\initials{LDF 2006.11.01.}

\LOG
\initials{LDF 2006.11.01.}
Added this rule.

\initials{LDF 2006.11.02.}
No longer setting |@=$$@>| to the return value of 
|Scan_Parse::declare_variable_func|, because I've changed its return value from 
|int| to |Id_Node|.
\ENDLOG 

@<Parser rules@>=

@=string_declaration: STRING_DECLARATOR variable_declaration_segment_list@>
{

    Scan_Parse::declare_variable_func(parameter, STRING_TYPE, @=$2@>);

    @=$$@> = 0;

};

@q *** (3) datetime_declaration.@>
@*2 \datetime declaration>.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this type declaration.
\ENDLOG

@<Type declarations for non-terminal symbols@>=
@=%type <int_value> datetime_declaration@>

@q **** (4) datetime_declaration: DATETIME_DECLARATOR @>
@q **** (4) variable_declaration_segment_list.@>
@*3 \datetime declaration> $\longrightarrow$ (etc\PERIOD).
\datetime declaration> $\longrightarrow$ \.{DATETIME\_DECLARATOR} 
\variable declaration segment list>.
\initials{LDF 2006.12.15.}

\LOG
\initials{LDF 2006.12.15.}
Added this rule.
\ENDLOG 

@<Parser rules@>=

@=datetime_declaration: DATETIME_DECLARATOR variable_declaration_segment_list@>
{

    Scan_Parse::declare_variable_func(parameter, DATETIME_TYPE, @=$2@>);

    @=$$@> = 0;

};


@q *** (3) @>

@q ** (2) @>

@q * (1) Emacs-Lisp code for use in indirect buffers.  LDF 2006.10.11.@>

@q (progn (outline-mode) (abbrev-mode t) (ignore '(                          @>
@q )) (setq outline-regexp (concat (char-to-string 64) "q [*\f]+")) (ignore'(@>
@q )) (make-variable-buffer-local 'outline-regexp))                          @>

@q * (1) Local Variables for Emacs  @>

@q Local Variables: @>
@q mode:Outline @>
@q abbrev-mode:t @>
@q eval:(setq outline-regexp (concat (char-to-string 64) "q [*\f]+")) @>
@q End: @>
