/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/*20:*/
#line 862 "dttmtype.web"

/*3:*/
#line 107 "dttmtype.web"


#ifdef WIN_LDF 
#pragma once 
#endif  


/*:3*/
#line 863 "dttmtype.web"

using namespace std;
/*4:*/
#line 117 "dttmtype.web"


class Query_Type;

class Date_Time_Type;

typedef Date_Time_Type*Date_Time_Node;


namespace Scan_Parse
{
int
datetime_assignment_func_0(void*v,
Date_Time_Node&curr_date_time_node,
int specifier,
int op,
void*val,
int type);

int
datetime_assignment_func_1(void*v,
Date_Time_Node&d,
int op,
void*&vec);

};




/*:4*/
#line 865 "dttmtype.web"

/*5:*/
#line 166 "dttmtype.web"



class
Date_Time_Type
{
friend class Query_Type;

friend
int
Scan_Parse::datetime_assignment_func_0(void*v,
Date_Time_Node&curr_date_time_node,
int specifier,
int op,
void*val,
int type);
friend
int
Scan_Parse::datetime_assignment_func_1(void*v,
Date_Time_Node&d,
int op,
void*&vec);


friend int yyparse(void*);

friend
ostream&
operator<<(ostream&o,Date_Time_Type&d);


short*year_range_begin;
short*year_range_end;
short*year;
unsigned short*month;
unsigned short*day;
unsigned short*hour;
unsigned short*minute;
float*second;

public:

/*8:*/
#line 239 "dttmtype.web"

Date_Time_Type(void);

/*:8*//*10:*/
#line 271 "dttmtype.web"

~Date_Time_Type(void);

/*:10*//*12:*/
#line 311 "dttmtype.web"

Date_Time_Node
operator= (const Date_Time_Type&d);


/*:12*//*16:*/
#line 724 "dttmtype.web"

int
show(string s= "`Date_Time_Type:'");



/*:16*/
#line 208 "dttmtype.web"


};


/*:5*/
#line 866 "dttmtype.web"

/*14:*/
#line 585 "dttmtype.web"


ostream&operator<<(ostream&o,Date_Time_Type&d);

/*:14*/
#line 867 "dttmtype.web"
















/*:20*/
