/* * (1) Copyright and License. */

/* This file is part of the LDF Metadata Exchange Utilities,             */
/* a package for metadata exchange.                                      */

/* Copyright (C) 2007 Laurence D. Finston   */

/* The author is Laurence D. Finston.  */

/* The LDF Metadata Exchange Utilities are free software;                   */
/* you can redistribute them and/or modify                                  */
/* them under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation; either version 2 of the License, or        */
/* (at your option) any later version.                                      */

/* The LDF Metadata Exchange Utilities are distributed in the hope               */
/* that they will be useful, but WITHOUT ANY WARRANTY; without even              */
/* the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  */
/* See the GNU General Public License for more details.                          */

/* You should have received a copy of the GNU General Public License                   */
/* along with the LDF Metadata Exchange Utilities; if not, write to the Free Software  */
/* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA          */

/* The LDF Metadata Exchange Utilities are available for downloading from the  */
/* following FTP server:                                                       */
/* ftp:/*ftp.gwdg.de/pub/gnu2/iwfmdh/                                          */

/* Please send bug reports to lfinsto1@gwdg.de  */

/* The author can be contacted at:  */

/* Laurence D. Finston  */
/* Kreuzbergring 41     */
/* D-37075 Goettingen   */
/* Germany              */

/* lfinsto1@gwdg.de                */
/* s246794@stud.uni-goettingen.de  */


/*25:*/
#line 520 "idtype.web"

/*3:*/
#line 109 "idtype.web"


#ifdef WIN_LDF 
#pragma once 
#endif  


/*:3*/
#line 521 "idtype.web"

using namespace std;
/*4:*/
#line 119 "idtype.web"


class Scanner_Type;
typedef Scanner_Type*Scanner_Node;

struct Id_Type;
typedef Id_Type*Id_Node;


/*:4*/
#line 523 "idtype.web"

/*5:*/
#line 139 "idtype.web"

struct
Id_Type
{
friend class Scanner_Type;

string name;
void*value;
unsigned short type;
unsigned short subtype;

Id_Node up;
Id_Node left;
Id_Node right;

static map<unsigned short,string> subtype_map;

Scanner_Node scanner_node;

/*12:*/
#line 247 "idtype.web"

Id_Type(void);

/*:12*//*15:*/
#line 282 "idtype.web"

~Id_Type(void);


/*:15*//*18:*/
#line 358 "idtype.web"

static
int
initialize_subtype_map(Scanner_Node s= 0);


/*:18*//*21:*/
#line 433 "idtype.web"

int
show(string= "");


/*:21*/
#line 158 "idtype.web"

/*6:*/
#line 175 "idtype.web"


static const unsigned short TEX_STRING_TYPE;
static const unsigned short SQL_STRING_TYPE;
static const unsigned short PQF_STRING_TYPE;



/*:6*/
#line 159 "idtype.web"


};


/*:5*/
#line 524 "idtype.web"
















/*:25*/
